Yii 2.0: yii2-krajee-base

Foundation classes and components used by Krajee Yii2 extensions

This is a base library with set of foundation classes and components used by all Yii2 extensions by Krajee. One can use this base library during creation of one's own extensions if needed.

Note: This extension depends on the yiisoft/yii2-bootstrap extension. Check the composer.json for this extension's requirements and dependencies.

Why this extension?

To ensure a leaner code base / foundation component for use in all Krajee extensions (e.g. yii2-widgets, yii2-grid, yii2-editable etc.). This should allow most developers to plug and play components only they need, without needing the complete suite of widgets. For example, this mitigates this issue.

Extension Classes


Extends Yii Widget class for Krajee's Yii2 widgets and usage with bootstrap CSS framework.


Extends Yii InputWidget class for Krajee's Yii2 widgets and usage with bootstrap CSS framework.


Extends Yii AssetBundle class for Krajee's Yii2 widgets with enhancements for using minimized CSS and JS based on debug mode.


A global configuration and validation helper class for usage across Krajee's Yii 2 extensions.

Latest Release

The latest version of the module is v1.0.0 released on 06-Nov-2014. Refer the CHANGE LOG for details.


The preferred way to install this extension is through composer.

Either run:

$ php composer.phar require kartik-v/yii2-krajee-base"*"

or add:

"kartik-v/yii2-krajee-base": "*"

to the require section of your composer.json file.


This extension is used by all Krajee extensions starting with \kartik\ namespace.



yii2-krajee-base is released under the BSD 3-Clause License. See the bundled LICENSE.md for details.


Be the first person to leave a comment

Please to leave your comment.

Create extension
No downloadable files yet